/**
 * Truncates string and adds ellipses. Must be used in v-html for &hellip; to be escaped.
 * @param {string} value
 * - The string to be truncated at the given length.
 * @param {number} length
 * - The length to truncate the given string if it's longer than that.
 * @returns {string}
 */
export function truncate(value: string, length: number = 75): string {
  if (value && value.length > length) {
    return `${value.substring(0, length)}...`;
  }
  return value;
}
